
Redmine - Defect #14206

Synchronize the lang attribute of the HTML with the display language 

2013-06-04 18:01 - Naoya Niwa

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed Affected version:  

Description

Currently, lang attribute of HTML is specified "en" always regardless of the display language.

Related issues:

Has duplicate Redmine - Defect #4009: "html" tag's xml:lang always "en" for a... Closed 2009-10-09

Associated revisions

Revision 11952 - 2013-06-10 03:41 - Toshi MARUYAMA

set html lang by user locale (#14206)

History

#1 - 2013-06-08 20:49 - Naoya Niwa

- File patch-14206.diff added

- Status changed from New to Resolved

I made patch.

It gets the value of the lang attribute from I18n.locale.

Just in case, I made ​​sure the existing locales conform to BCP 47 by the following tool.

http://schneegans.de/lv/

#2 - 2013-06-09 00:36 - Toshi MARUYAMA

- Status changed from Resolved to New

#3 - 2013-06-09 00:43 - Toshi MARUYAMA

Redmine defines wrapper "current_language".

source:tags/2.3.1/lib/redmine/i18n.rb#L111

#4 - 2013-06-09 01:05 - Toshi MARUYAMA

- File lang.diff added

This is a patch with tests.

#5 - 2013-06-09 10:21 - Naoya Niwa

I appreciate all your help.

At the same time, please forgive my ignorance.

However, I think that should put double quotes around the value of the lang attribute.

I made ​​sure no problem otherwise.

#6 - 2013-06-09 10:44 - Toshi MARUYAMA

- File lang-V2.diff added

Sorry, this is a patch with double quotes.

#7 - 2013-06-09 10:52 - Naoya Niwa
http://schneegans.de/lv/
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.3.1/lib/redmine/i18n.rb#L111


- Status changed from New to Resolved

Thank you very much indeed!

#8 - 2013-06-09 12:05 - Toshi MARUYAMA

- Status changed from Resolved to New

#9 - 2013-06-10 17:28 - Toshi MARUYAMA

- Target version set to 2.4.0

#10 - 2013-06-11 01:26 - Filou Centrinov

- Has duplicate Defect #4009: "html" tag's xml:lang always "en" for all languages added

#11 - 2013-07-13 11:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Files

patch-14206.diff 640 Bytes 2013-06-08 Naoya Niwa

lang.diff 1.37 KB 2013-06-08 Toshi MARUYAMA

lang-V2.diff 1.37 KB 2013-06-09 Toshi MARUYAMA
